import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

public class MainCreateDB {

    private static Connection connect = null;
    private static Statement statement = null;
    private static ResultSet resultSet = null;

    public static void main(String[] args) {
        try {
            String dbUsr = "root";
            String dbPwd = "pass";

            connect = DriverManager
                    .getConnection("jdbc:mysql://localhost:3306/?" + "user=" + dbUsr + "&password=" + dbPwd);

            statement = connect.createStatement();
            statement.executeUpdate("DROP DATABASE IF EXISTS hibernate");
            statement.executeUpdate("CREATE DATABASE hibernate");

        } catch (Exception e) {
            System.out.println(e);
        } finally {
            close();
        }
    }

    // You need to close the resultSet
    private static void close() {
        try {
            if (resultSet != null) {
                resultSet.close();
            }

            if (statement != null) {
                statement.close();
            }

            if (connect != null) {
                connect.close();
            }
        } catch (Exception e) {

        }
    }
}